GET /shipment-reports/v4/{shipmentReportId}/{metric}

here.com:tracking

Summary: Gets metrics of the shipment report
Operation ID:
Auth: unknown
Description

Get the shipment report metric by using the `shipmentReportId` and a `metric` parameters. Shipment report metrics can be requested only after the shipment report generation has been completed.

Parameters (5)

limit (integer, query, optional, default: 100)

The number of items to return per page

Constraints: {'minimum': 1, 'maximum': 100}

metric (string, path, required)

Metric for which results to include in the response.

Constraints: {'enum': ['shipmentPlanPunctualityAtOrigin', 'shipmentPlanPunctualityAtDestination', 'segmentPlanPunctualityAtOrigin', 'segmentPlanPunctualityAtDestination', 'shipmentPunctualityAtOrigin', 'shipmentPunctualityAtDestination', 'segmentPunctualityAtOrigin', 'segmentPunctualityAtDestination', 'locationDwelling']}

pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

shipmentReportId (string, path, required)

Constraints: {'pattern': '^SHPR-[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$'}

sort (string, query, optional)

The response items can be sorted to ascending or descending order by their statistics properties. E.g for `shipmentPlanPunctualityAtOrigin` it could be `avg:desc`. Default is ascending sort order.

Constraints: {'pattern': '^(avg|val):(asc|desc)$'}

No probe data for this endpoint yet.